Commit 254710a5 authored by gerd's avatar gerd

patching the version string in META


git-svn-id: https://godirepo.camlcity.org/svn/lib-xstrp4/trunk@38 56444827-45db-0310-81c6-95464f7ca4c4
parent da90eec1
......@@ -47,7 +47,8 @@ OCAMLFIND = ocamlfind
.PHONY: install
install: all
$(OCAMLFIND) install $(NAME) *.cmi *.cma META
$(OCAMLFIND) install $(NAME) *.cmi *.cma META \
-patch-version `./configure -version`
.PHONY: uninstall
uninstall:
......
......@@ -28,6 +28,9 @@ is O'Caml bug #4357 (http://caml.inria.fr/mantis/view.php?id=4357).
CHANGES:
Changed in version 1.8.1:
Patching the version string in the META file
Changed in version 1.8:
Removal of the support for O'Caml 3.09 and earlier.
Integrating Sylvain's record access patch.
......
......@@ -47,7 +47,7 @@ set_defaults () {
ocamlc=`get_path ocamlc`
set_defaults
version="1.8"
version="1.8.1"
exec_suffix=""
#######################################################################
......@@ -114,8 +114,6 @@ _EOF_
echo "Welcome to Xstrp4 version $version" >&2
while [ "$#" -gt 0 ]; do
case "$1" in
-enable-*)
......@@ -151,6 +149,7 @@ while [ "$#" -gt 0 ]; do
esac
done
echo "Welcome to Xstrp4 version $version" >&2
######################################################################
# Check ocamlfind
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment